Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Tokenizer

    java.lang.Object
      |
      +--org.hsqldb.Tokenizer

class Tokenizer
extends java.lang.Object

Tokenizer class declaration

Constructor Summary
`(package private)` | `Tokenizer(java.lang.String s)` Constructor declaration

Method Summary
`(package private) static void` | `()`
`(package private) void` | `back()` Method declaration
`(package private) java.lang.Object` | `getAsValue()` Method declaration
`(package private) java.lang.String` | `getLongNameFirst()` Method declaration
`(package private) java.lang.String` | `getLongNameLast()` Method declaration
`(package private) java.lang.String` | `getName()` Method declaration
`(package private) java.lang.String` | `getPart(int begin, int end)` Method declaration
`(package private) int` | `getPosition()` Method declaration
`(package private) java.lang.String` | `getString()` Method declaration
`(package private) java.lang.String` | `getStringToken()` Method declaration
`(package private) void` | `getThis(java.lang.String match)` Method declaration
`(package private) int` | `getType()` Method declaration
`(package private) boolean` | `wasLongName()` Method declaration
`(package private) boolean` | `wasName()` Method declaration
`(package private) boolean` | `wasValue()` Method declaration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tokenizer

    Tokenizer(java.lang.String s)

  Constructor declaration
  Parameters:
    `s` -

Method Detail

###

    static void ()

### back

    void back()
        throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### getThis

    void getThis(java.lang.String match)
           throws java.sql.SQLException

  Method declaration
  Parameters:
    `match` -
  Throws:
    java.sql.SQLException -

### getStringToken

    java.lang.String getStringToken()
                              throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### wasValue

    boolean wasValue()

  Method declaration
  Returns:

### wasLongName

    boolean wasLongName()

  Method declaration
  Returns:

### wasName

    boolean wasName()

  Method declaration
  Returns:

### getLongNameFirst

    java.lang.String getLongNameFirst()

  Method declaration
  Returns:

### getLongNameLast

    java.lang.String getLongNameLast()

  Method declaration
  Returns:

### getName

    java.lang.String getName()
                       throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### getString

    java.lang.String getString()
                         throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### getType

    int getType()

  Method declaration
  Returns:

### getAsValue

    java.lang.Object getAsValue()
                          throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### getPosition

    int getPosition()

  Method declaration
  Returns:

### getPart

    java.lang.String getPart(int begin,
                             int end)

  Method declaration
  Parameters:
    `begin` -
    `end` -
  Returns:

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD